Предлагаю не обновлять ctools

Аватар пользователя orb orb 11 апреля 2013 в 0:39

Предлагаю не спешить обновлять ctools 7.x-1.3
Кто за?

0 Thanks

Комментарии

Аватар пользователя orb orb 11 апреля 2013 в 9:47

Кто против бекапимся главное.
На д7 есть конфликты с другими модулями из-за чего падаем в белый экран

Аватар пользователя q2_faith q2_faith 11 апреля 2013 в 13:39
"orb" wrote:

На д7 есть конфликты с другими модулями из-за чего падаем в белый экран

очень информативно)

Аватар пользователя Andruxa Andruxa 11 апреля 2013 в 13:40
"q2_faith" wrote:

очень информативно)

ага, пока выглядит как "назло маме отморожу уши"

Аватар пользователя olk olk 11 апреля 2013 в 15:07

У меня после обновлени есть проблем при редактировании вьюсов :(, не критично но напрягает :)

Аватар пользователя Andruxa Andruxa 11 апреля 2013 в 15:17
"olk" wrote:

после обновлени есть проблем при редактировании вьюсов

в чем выражается?

у меня были проблемы с views_ui при включенном jquery_update, не важно, какая версия jQ была выбрана - 1.5 / 1.7 / 1.8
пришлось отключить, но к ctools это не имеет отношения

Аватар пользователя olk olk 11 апреля 2013 в 16:41
"Andruxa" wrote:

у меня были проблемы с views_ui при включенном jquery_update, не важно, какая версия jQ была выбрана - 1.5 / 1.7 / 1.8
пришлось отключить, но к ctools это не имеет отношения

Выражается в выдачи на экран строки типа [{"command":"settings","settings":{"basePath":"\/" ....
Может и связано с jquery_update ... сейчас проверю

Аватар пользователя Andruxa Andruxa 11 апреля 2013 в 16:45
"olk" wrote:

[{"command":"settings","settings":{"basePath":"\/" ....

да, у меня от этого брат умер те же симптомы - jquery_update гадит, инфа 100%

Аватар пользователя volocuga@drupal.org volocuga@drupal.org 11 апреля 2013 в 17:09

я бы этот ctools убил бы вообще, а ещё более - тех разрабов, которые на каждый плевок ставят его в зависимость. Последним моим аргументом в пользу данного модуля был его модал, но потом вдруг понял, что отличный модал, с валидацией и прочими штуками элементарно делается на основе корного jquery ui dialog, и он реально летает.
Кто ещё недоволен ctools? :)

Аватар пользователя CSoft CSoft 11 апреля 2013 в 18:26
"Andruxa" wrote:

у меня были проблемы с views_ui при включенном jquery_update, не важно, какая версия jQ была выбрана - 1.5 / 1.7 / 1.8

Было дело, но с 1.5 у меня работало. Кстати, на днях новый views вышел: там проблему с jquery исправили, можно спокойно пользоваться.

Аватар пользователя CSoft CSoft 11 апреля 2013 в 18:27
"<a href="mailto:volocuga@drupal.org">volocuga@drupal.org</a>" wrote:

но потом вдруг понял, что отличный модал, с валидацией и прочими штуками элементарно делается на основе корного jquery ui dialog, и он реально летает

+1

Так и поступаю.

Аватар пользователя Andruxa Andruxa 11 апреля 2013 в 19:05
"CSoft" wrote:

на днях новый views вышел: там проблему с jquery исправили

о, сегодня как раз обновил вьюсы - ит воркс, рилли

спасибо за хорошую новость!

Аватар пользователя multpix multpix 11 апреля 2013 в 20:51

пока все хорошо с новым вьюсом и стулсом - подтверждаю
p.s.
алиас для drush ebash

Аватар пользователя CSoft CSoft 11 апреля 2013 в 20:53

Аналогично, проблем не испытываю. Ещё и новый commerce просит последние версии данных модулей :)